Subject: Re: [PATCH] git-svn: Add a svn-remote.<name>.pushurl config key

From: "Alejandro R. Sedeño" <[email-masked]>
Date: Fri, 22 Apr 2011 15:40:13 -0400

On 04/22/2011 03:36 PM, Jeff King wrote:
> On Fri, Apr 22, 2011 at 03:11:46PM -0400, "Alejandro R. Sedeño" wrote:
>> I'd be happy to see something like this get in. I've often noticed
>> git-send-email telling me that it couldn't parse an address out of my
>> signed-of-by lines, but I never stopped and took the time to look into it.
> 
> That is a separate issue. The patch I posted will make format-patch
> properly quote rfc822 specials in actual email header lines. But
> Signed-off-by lines will remain as they are, being part of the message
> body. And I think that's what we want. You certainly wouldn't want to
> rfc2047-encode them (they are already covered by the body's content-type
> encoding).
> 
> And while you could quote rfc822 specials, people don't tend to do that.
> There's no formal syntax defined, but people tend to treat them as:
> 
>   Signed-off-by: (.*) <(.*)>
> 
> i.e., everything inside <> is an address, and everything before that is
> the name.
> 
> If there is an issue with send-email parsing signed-off-by lines or
> formatting the addresses it pulls from them, that's a separate problem
> that will need to be dealt with in send-email.

Okay, then I'll try look into that when things settle down here, if no one
else has by then.

-Alejandro